Package Gnumed :: Package wxpython :: Module gmEMRBrowser :: Class cEMRTree |
[frames] | no frames]

# Class cEMRTree

source code

                                wx.TreeCtrl --+
                                              |
    gmGuiHelpers.cTreeExpansionHistoryMixin --+
                                              |
                                             cEMRTree

This wx.TreeCtrl derivative displays a tree view of the medical record.

Instance Methods
__init__(self, parent, id, *args, **kwds) Set up our specialised tree. | source code
refresh(self) | source code
set_enable_display_mode_selection_callback(self, callback) | source code
clear_tree(self) | source code
OnCompareItems(self, node1=None, node2=None) Used in sorting items. | source code
Inherited from `gmGuiHelpers.cTreeExpansionHistoryMixin`: `print_expansion`, `restore_expansion`, `snapshot_expansion`

Class Variables
| soap_display = `property(_get_soap_display, _set_soap_display)`
| image_display = `property(_get_image_display, _set_image_display)`
| edit_mode_selector = `property(lambda x: x, _set_edit_mode_sele`...``
| soap_editor_adder = `property(lambda x: x, _set_soap_editor_adder)`
| details_display_mode = `property(_get_details_display_mode, _se`...``

Method Details

### __init__(self, parent, id, *args, **kwds) (Constructor) | source code
Set up our specialised tree. Overrides: gmGuiHelpers.cTreeExpansionHistoryMixin.__init__

### OnCompareItems(self, node1=None, node2=None) | source code
    Used in sorting items.

    -1: 1 < 2
     0: 1 = 2
     1: 1 > 2

Class Variable Details

  ### edit_mode_selector Value:
      property(lambda x: x, _set_edit_mode_selector)

  ### details_display_mode Value:
      property(_get_details_display_mode, _set_details_display_mode)